# readers.mrsid

Note

The MrSID reader is deprecated and will be removed in a future release.

Implements MrSID 4.0 LiDAR Compressor. It requires the Lidar_DSDK to be able to decompress and read data.

Dynamic Plugin

This stage requires a dynamic plugin to operate

## Example

    [
        {
            "type":"readers.mrsid",
            "filename":"myfile.sid"
        },
        {
            "type":"writers.las",
            "filename":"outputfile.las"
        }
    ]

## Options

filename

  Filename to read from. [Required]

count

  Maximum number of points to read. [Default: unlimited]

override_srs

  Spatial reference to apply to the data. Overrides any SRS in the input itself. Can be specified as a WKT, proj.4 or EPSG string. Can’t use with ‘default_srs’ [Default: none]

default_srs

  Spatial reference to apply to the data if the input does not specify one. Can be specified as a WKT, proj.4 or EPSG string. Can’t use with ‘override_srs’ [Default: none]